Get Deezer Top-Track Chart

Return the Deezer top-track chart for a given country_code and date. Each row merges track-basic-info (from Track.getBasicInfoBatch) with the chart row from QUERY_GET_DEEZER_CHARTS and the per-track rankStats history.

Query Parameters
  • country_code
    Type: string
    min length:  
    2
    max length:  
    2
    required

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

  • date
    Type: string Format: date-time

    Date for the time-slice (YYYY-MM-DD). Required unless latest=true.

  • latest
    Type: boolean

    If true, use the most recently available date and ignore date.

Responses
  • application/json
Request Example for get/api/charts/deezer
curl 'https://api.chartmetric.com/api/charts/deezer?country_code=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "length": 1,
    "data": [
      {
        "id": "12345",
        "name": "Sample Track",
        "isrc": "USAT21906978",
        "image_url": "https://e-cdns-images.dzcdn.net/images/cover/abc/250x250-000000.jpg",
        "cm_track": 29203381,
        "cm_artist": [
          839964
        ],
        "artist_names": [
          "Sample Artist"
        ],
        "code2s": [
          "US"
        ],
        "artist_images": [
          null
        ],
        "artist_covers": [
          null
        ],
        "album_ids": [
          5963064
        ],
        "album_names": [
          "Sample Album"
        ],
        "album_upc": [
          "9420058747152"
        ],
        "album_label": [
          "Sample Label"
        ],
        "release_dates": [
          "2020-04-24T07:00:00.000Z"
        ],
        "deezer": 12345,
        "deezer_album": "Sample Album",
        "deezer_artist_names": [
          "Sample Artist"
        ],
        "deezer_artist_ids": [
          "5678"
        ],
        "deezer_track_ids": [
          "12345"
        ],
        "deezer_album_ids": [
          "910"
        ],
        "rank": 1,
        "added_at": "2024-05-01T00:00:00.000Z",
        "code2": "US",
        "velocity": 0,
        "pre_rank": 1,
        "peak_rank": 1,
        "peak_date": "2024-04-28T00:00:00.000Z",
        "time_on_chart": 5,
        "rankStats": [
          {
            "rank": 1,
            "timestp": "2024-04-30T00:00:00.000Z"
          }
        ]
      }
    ]
  }
}